COMMON_SRCS = \
	src/argv/ntapi_tt_argv_envp.c \
	src/argv/ntapi_tt_array_utf16.c \
	src/argv/ntapi_tt_array_utf8.c \
	src/argv/ntapi_tt_env_vars.c \
	src/blitter/ntapi_blt_alloc.c \
	src/blitter/ntapi_blt_block.c \
	src/blitter/ntapi_blt_free.c \
	src/daemon/ntapi_dsr_init.c \
	src/daemon/ntapi_dsr_internal_connection.c \
	src/fs/ntapi_tt_get_file_handle_type.c \
	src/fs/ntapi_tt_istat.c \
	src/fs/ntapi_tt_mount.c \
	src/fs/ntapi_tt_open_logical_parent_directory.c \
	src/fs/ntapi_tt_open_physical_parent_directory.c \
	src/fs/ntapi_tt_stat.c \
	src/fs/ntapi_tt_statfs.c \
	src/guid/ntapi_tt_guid.c \
	src/hash/ntapi_tt_crc32.c \
	src/hash/ntapi_tt_crc64.c \
	src/hash/ntapi_tt_populate_hashed_import_table.c \
	src/internal/ntapi.c \
	src/internal/ntapi_debug.c \
	src/internal/ntapi_entry_point.c \
	src/internal/ntapi_open.c \
	src/ipc/ntapi_tt_create_pipe_v1.c \
	src/ipc/ntapi_tt_create_pipe_v2.c \
	src/ldr/ntapi_ldr_create_state_snapshot.c \
	src/ldr/ntapi_ldr_load_system_dll.c \
	src/ldr/ntapi_ldr_revert_state_to_snapshot.c \
	src/object/ntapi_tt_keyed_object_directory.c \
	src/port/ntapi_port_name_helper.c \
	src/process/ntapi_tt_create_native_process_v1.c \
	src/process/ntapi_tt_create_native_process_v2.c \
	src/process/ntapi_tt_create_remote_process_params.c \
	src/process/ntapi_tt_create_remote_runtime_data.c \
	src/process/ntapi_tt_fork.c \
	src/process/ntapi_tt_fork_v1.c \
	src/process/ntapi_tt_fork_v2.c \
	src/process/ntapi_tt_get_runtime_data.c \
	src/process/ntapi_tt_init_runtime_data.c \
	src/process/ntapi_tt_map_image_as_data.c \
	src/process/ntapi_tt_spawn_native_process.c \
	src/process/tt_fork_v1.c \
	src/pty/ntapi_pty_cancel.c \
	src/pty/ntapi_pty_fd.c \
	src/pty/ntapi_pty_io.c \
	src/pty/ntapi_pty_ioctl.c \
	src/pty/ntapi_pty_query.c \
	src/pty/ntapi_pty_set.c \
	src/seh/ntapi_tt_seh_frame.c \
	src/section/ntapi_tt_get_section_name.c \
	src/socket/ntapi_sc_accept.c \
	src/socket/ntapi_sc_bind_v1.c \
	src/socket/ntapi_sc_bind_v2.c \
	src/socket/ntapi_sc_connect_v1.c \
	src/socket/ntapi_sc_connect_v2.c \
	src/socket/ntapi_sc_getpeername_v1.c \
	src/socket/ntapi_sc_getpeername_v2.c \
	src/socket/ntapi_sc_getsockname_v1.c \
	src/socket/ntapi_sc_getsockname_v2.c \
	src/socket/ntapi_sc_listen.c \
	src/socket/ntapi_sc_recv.c \
	src/socket/ntapi_sc_send.c \
	src/socket/ntapi_sc_server_accept_connection_v1.c \
	src/socket/ntapi_sc_server_accept_connection_v2.c \
	src/socket/ntapi_sc_server_duplicate_socket.c \
	src/socket/ntapi_sc_setsockopt.c \
	src/socket/ntapi_sc_getsockopt.c \
	src/socket/ntapi_sc_shutdown.c \
	src/socket/ntapi_sc_socket_v1.c \
	src/socket/ntapi_sc_socket_v2.c \
	src/socket/ntapi_sc_wait.c \
	src/string/ntapi_tt_aligned_block_memcpy.c \
	src/string/ntapi_tt_aligned_block_memset.c \
	src/string/ntapi_tt_aligned_memcpy_utf16.c \
	src/string/ntapi_tt_hex_utf16_to_uintptr.c \
	src/string/ntapi_tt_init_unicode_string_from_utf16.c \
	src/string/ntapi_tt_memcpy_utf16.c \
	src/string/ntapi_tt_strcmp_multibyte.c \
	src/string/ntapi_tt_strcmp_utf16.c \
	src/string/ntapi_tt_string_null_offset.c \
	src/string/ntapi_tt_strncmp_multibyte.c \
	src/string/ntapi_tt_strncmp_utf16.c \
	src/string/ntapi_tt_uintptr_to_hex_utf16.c \
	src/string/ntapi_tt_uintptr_to_hex_utf8.c \
	src/sync/ntapi_tt_create_event.c \
	src/sync/ntapi_tt_sync_block.c \
	src/sync/ntapi_tt_wait_for_dummy_event.c \
	src/system/ntapi_tt_get_csr_port_handle_addr_by_logic.c \
	src/system/ntapi_tt_get_system_directory.c \
	src/system/ntapi_tt_get_system_info_snapshot.c \
	src/thread/ntapi_tt_create_thread.c \
	src/token/ntapi_tt_token_privilege.c \
	src/tty/ntapi_tty_client_process_register.c \
	src/tty/ntapi_tty_client_session_query.c \
	src/tty/ntapi_tty_client_session_set.c \
	src/tty/ntapi_tty_connect.c \
	src/tty/ntapi_tty_create_session.c \
	src/tty/ntapi_tty_join_session.c \
	src/tty/ntapi_tty_query_information_server.c \
	src/tty/ntapi_tty_request_peer.c \
	src/tty/ntapi_tty_vms_query.c \
	src/tty/ntapi_tty_vms_request.c \
	src/unicode/ntapi_uc_unicode_conversion_from_utf16.c \
	src/unicode/ntapi_uc_unicode_conversion_from_utf8.c \
	src/unicode/ntapi_uc_unicode_validation.c \
	src/vfd/ntapi_vfd_helper.c \
